tomee-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Frank Bitzer (JIRA)" <j...@apache.org>
Subject [jira] Commented: (OPENEJB-1236) Provide JPA 2.0 support in addition to JPA 1.0
Date Wed, 15 Dec 2010 10:04:05 GMT

    [ https://issues.apache.org/jira/browse/OPENEJB-1236?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12971603#action_12971603
] 

Frank Bitzer commented on OPENEJB-1236:
---------------------------------------

Ok, fixed it. Of course you have to add a dependency to JPA 2.0 . In my case I added:

<dependency>
		    	<groupId>org.hibernate.javax.persistence</groupId>
		    	<artifactId>hibernate-jpa-2.0-api</artifactId>
		    	<version>1.0.0.Final</version>
			<scope>test</scope>
</dependency>
		
<dependency>
		     	<groupId>org.hibernate</groupId>
		     	<artifactId>hibernate-validator</artifactId>
		     	<version>4.1.0.Final</version>
			<scope>test</scope>
 </dependency>


> Provide JPA 2.0 support in addition to JPA 1.0
> ----------------------------------------------
>
>                 Key: OPENEJB-1236
>                 URL: https://issues.apache.org/jira/browse/OPENEJB-1236
>             Project: OpenEJB
>          Issue Type: New Feature
>            Reporter: Jean-Louis MONTEIRO
>            Assignee: Jean-Louis MONTEIRO
>         Attachments: OPENEJB-1236.patch
>
>
> JPA 2.0 is out since mid December. It'd be nice to support it.
> The difficult part is to be able to keep the JPA 1.0 integration usable.
> It's a challenge, cause APIs aren't the same (EntityManager for example defines more
methods).

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message